## org.apache.mahout.cf.taste.example.kddcup.track1.svd
Class DataModelFactorizablePreferences

    java.lang.Object
      org.apache.mahout.cf.taste.example.kddcup.track1.svd.DataModelFactorizablePreferences

All Implemented Interfaces:
  FactorizablePreferences

    public class DataModelFactorizablePreferences

extends Object
implements FactorizablePreferences

can be used to drop `DataModel`s into `ParallelArraysSGDFactorizer`

Constructor Summary
`DataModelFactorizablePreferences(DataModel dataModel)`

Method Summary
`LongPrimitiveIterator` `getItemIDs()`
`float` `getMaxPreference()`
`float` `getMinPreference()`
`Iterable<Preference>` `getPreferences()`
`LongPrimitiveIterator` `getUserIDs()`
`int` `numItems()`
`int` `numPreferences()`
`int` `numUsers()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataModelFactorizablePreferences

    public DataModelFactorizablePreferences(DataModel dataModel)

Method Detail

### getUserIDs

    public LongPrimitiveIterator getUserIDs()

  Specified by:
    `getUserIDs` in interface `FactorizablePreferences`

### getItemIDs

    public LongPrimitiveIterator getItemIDs()

  Specified by:
    `getItemIDs` in interface `FactorizablePreferences`

### getPreferences

    public Iterable<Preference> getPreferences()

  Specified by:
    `getPreferences` in interface `FactorizablePreferences`

### getMinPreference

    public float getMinPreference()

  Specified by:
    `getMinPreference` in interface `FactorizablePreferences`

### getMaxPreference

    public float getMaxPreference()

  Specified by:
    `getMaxPreference` in interface `FactorizablePreferences`

### numUsers

    public int numUsers()

  Specified by:
    `numUsers` in interface `FactorizablePreferences`

### numItems

    public int numItems()

  Specified by:
    `numItems` in interface `FactorizablePreferences`

### numPreferences

    public int numPreferences()

  Specified by:
    `numPreferences` in interface `FactorizablePreferences`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.